<?php
namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StorePaste extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'pasteTitle' => 'max:70',
            'pasteContent' => 'required',
        ];
    }
    
    public function messages()
    {
        return [
            'pasteContent.required' => 'Your paste cannot be empty',
            'pasteTitle.max' => 'Title must not exceed 70 characters'
        ];
    }
    
    public function withValidator($validator)
    {
        // $validator->sometimes('g-recaptcha-response', 'required|captcha', function ($input) {
        //     return true;
        // });
    }
}